package com.qmth.boot.core.ai.model.llm;

import java.util.LinkedList;
import java.util.List;

/**
 * 大模型通用chat请求
 */
public class ChatRequest {

    private List<ChatMessage> messages;

    public ChatRequest() {
        this.messages = new LinkedList<>();
    }

    public void addMessage(ChatRole role, String content) {
        ChatMessage message = new ChatMessage();
        message.setRole(role);
        message.setContent(content);
        this.messages.add(message);
    }

    public List<ChatMessage> getMessages() {
        return messages;
    }

    public void setMessages(List<ChatMessage> messages) {
        this.messages = messages;
    }
}
